Update OSX Build

Need help? Post your questions here.
gamera
Posts: 1
Joined: 31 Oct 2013, 13:31
Has thanked: 0
Been thanked: 0

Update OSX Build

Unread post by gamera »

I'm running currently Madsonic Server 5.0 Build 3760 on MacOSX 10.8

Now I want to update to the latest build but I'm not sure how to do it. Replacing the war/booter isn't a problem but how do I get Madsonic to use Java 1.7?

In the Madsonic.app -> Contents -> info.plist there's the string:

Code: Select all

<key>java</key>
<dict>
   <key>MainClass</key>
   <string>net.sourceforge.subsonic.booter.Main</string>
   <key>JVMVersion</key>
   <string>1.6+</string>
   <key>ClassPath</key>
   <array>
      <string>$JAVAROOT/madsonic-booter.jar</string>
.
.
.
Do I have to change something there? Java 1.7 SDK is installed and I made a reference in my ~/.bash-rofile

Code: Select all

java -version
reports 1.7.0_45-b18

Any help is welcome.

Cheers

Post Reply